local t = Def.ActorFrame{

	LoadActor("Regular_ScoreFrame")..{
		Condition=GAMESTATE:GetPlayMode() == 'PlayMode_Regular';
	};

	LoadActor("Rave_ScoreFrame")..{
		Condition=GAMESTATE:GetPlayMode() == 'PlayMode_Rave';
	};

	LoadActor("Extra_ScoreFrame")..{
		Condition=GAMESTATE:IsExtraStage();
	};

	LoadActor("Special_ScoreFrame")..{
		Condition=GAMESTATE:IsExtraStage2();
	};

	LoadActor("Nonstop_ScoreFrame")..{
		Condition=GAMESTATE:GetPlayMode() == 'PlayMode_Nonstop';
	};

	LoadActor("Challenge_ScoreFrame")..{
		Condition=GAMESTATE:GetPlayMode() == 'PlayMode_Oni';
	};

	LoadActor("Endless_ScoreFrame")..{
		Condition=GAMESTATE:GetPlayMode() == 'PlayMode_Endless';
	};


--ramp
	Def.ActorFrame{
		LoadActor("scoreframe_ramp")..{
			Condition=GAMESTATE:IsHumanPlayer('PlayerNumber_P1') and not GAMESTATE:IsDemonstration();
			InitCommand=cmd(diffuse,color("1,0,0,0.5");horizalign,left;x,SCREEN_LEFT+59/2;y,SCREEN_BOTTOM-26/2);
			OnCommand=cmd(diffusealpha,0;sleep,0.8;linear,0.2;diffusealpha,1;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("1,0,0,0.5");linear,0.5;diffuse,color("0,1,0.7,1,1");linear,4.5;diffuse,color("1,0,0,0.5");queuecommand,"Repeat";);
		};

		LoadActor("scoreframe_ramp")..{
			Condition=GAMESTATE:IsHumanPlayer('PlayerNumber_P2') and not GAMESTATE:IsDemonstration();
			InitCommand=cmd(diffuse,color("1,0,0,0.5");horizalign,left;zoomx,-1;x,SCREEN_RIGHT-59/2;y,SCREEN_BOTTOM-26/2);
			OnCommand=cmd(diffusealpha,0;sleep,0.8;linear,0.2;diffusealpha,1;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("1,0,0,0.5");linear,0.5;diffuse,color("0.4,0.7,1,1");linear,4.5;diffuse,color("1,0,0,0.5");queuecommand,"Repeat";);
		};
	};
};
return t;
